Skip to main content
GET
/
api
/
v2.1
/
wallets
/
customer
/
{customerId}
Get customer wallets
curl --request GET \
  --url https://sandbox.finhub.cloud/api/v2.1/wallets/customer/{customerId} \
  --header 'User-Agent: <user-agent>' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>'

Headers

X-Tenant-ID
string
required

Tenant identifier

Example:

"test_tenant"

X-Forwarded-For
string
required

Client IP address

Example:

"127.0.0.1"

X-Forwarded-From
string
required

Client application identifier

Example:

"playground-client"

platform
string
required

Client platform

Example:

"playground-api"

deviceId
string
required

Device identifier

Example:

"playground-device"

User-Agent
string
required
Example:

"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36"

Path Parameters

customerId
string
required

Query Parameters

customerType
string
default:B2B

Response

200

OK